org.omg.IOP

## Class TaggedComponent

- java.lang.Object
- - org.omg.IOP.TaggedComponent

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class TaggedComponent
      extends Object
      implements IDLEntity

  org/omg/IOP/TaggedComponent.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, May 6, 2015 8:21:20 AM BST

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `component_data` The component data associated with the component id.
    `int` | `tag` The tag, represented as a component id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedComponent()`
    `TaggedComponent(int _tag, byte[] _component_data)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public int tag

      The tag, represented as a component id.

    - #### component_data

          public byte[] component_data

      The component data associated with the component id.

  - ### Constructor Detail

    - #### TaggedComponent

          public TaggedComponent()

    - #### TaggedComponent

          public TaggedComponent(int _tag,
                         byte[] _component_data)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.